
#this function gets a list of VMs and searches for the VMs with a V in the name
Function Gather-VmsWithAV ($VMlist) {
	#Loop to place the entries in an Array
	Foreach ($a in $(get-VM $list | ? Name -Match "v")){
		$output += $a.Name
		$Output += ", "
		}
	#returns the Full array, Comma separated
	return($Output)
	}
#Call script to connect to vCenter	
Invoke-expression -command ./connect-vCenter.ps1

#creates the full list of VMs from vCenter 
$List = Get-vm

#Call the Function to process the names
Gather_VmsWithAV($list)
